org.apache.sysds.runtime.instructions.spark.functions

## Class CopyTensorBlockPairFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.CopyTensorBlockPairFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>,TensorIndexes,BasicTensorBlock>

    public class CopyTensorBlockPairFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>,TensorIndexes,BasicTensorBlock>

General purpose copy function for binary block rdds. This function can be used in mapToPair (copy tensor indexes and blocks). It supports both deep and shallow copies of key/value pairs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CopyTensorBlockPairFunction()`
`CopyTensorBlockPairFunction(boolean deepCopy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LazyIterableIterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>` `call(Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyTensorBlockPairFunction

    public CopyTensorBlockPairFunction()

#### CopyTensorBlockPairFunction

    public CopyTensorBlockPairFunction(boolean deepCopy)

### Method Detail

#### call

    public LazyIterableIterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>> call(Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>> arg0)
                                                                            throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>,TensorIndexes,BasicTensorBlock>`
Throws:
  `Exception`